## python-acme 0.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/acme-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/acme-python.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/acme-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/acme-python"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-acme (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop B-D on python3?-werkezug no longer needed by upstream
  * Fix Vcs-git URL
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 29 Feb 2016 21:09:41 -0500

python-acme (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 11 Feb 2016 19:39:40 -0500

python-acme (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-git to https.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 28 Jan 2016 18:55:06 -0500

python-acme (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop priority to extra, due to dep on python-mock.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 15 Jan 2016 19:04:18 -0500

python-acme (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 15 Dec 2015 21:32:13 -0500

python-acme (0.1.0-3) unstable; urgency=medium

  * Bump for release to sid.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 10 Dec 2015 23:42:46 -0500

python-acme (0.1.0-2) experimental; urgency=medium

  * Version the python{,3}-openssl runtime dependency (closes: #807114)

 -- Francois Marier <francois@debian.org>  Sat, 05 Dec 2015 21:21:10 -0800

python-acme (0.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Change to using new GPG key.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 03 Dec 2015 21:13:28 -0500

python-acme (0.0.0.dev20151123-2) experimental; urgency=medium

  * Add Breaks directive to help apt figure out upgrade paths.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 01 Dec 2015 21:15:49 -0500

python-acme (0.0.0.dev20151123-1) experimental; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 29 Nov 2015 23:22:02 -0500

python-acme (0.0.0.dev20151114-1) experimental; urgency=medium

  [ Francois Marier ]
  * Add Vcs fields to debian/control
  * Bump the python-sphinx dependency to >= 1.3.1-1 to ensure that
    python-sphinx-rtd-theme is pulled in.

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Alter python-sphinx dependency for backport compatibility.
  * Update dependency versions to match setup.py.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 14 Nov 2015 12:07:50 -0500

python-acme (0.0.0.dev20151104-1) experimental; urgency=medium

  * Initial release. (Closes: #801356)

 -- Francois Marier <francois@debian.org>  Wed, 11 Nov 2015 17:19:23 -0800

=== debian/control ===
Source: python-acme
Section: python
Priority: extra
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>,
           Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6.3~),
               python-cryptography (>= 0.8),
               python-docutils,
               python-mock,
               python-ndg-httpsclient,
               python-openssl (>= 0.13),
               python-pyasn1,
               python-requests,
               python-rfc3339,
               python-setuptools,
               python-six,
               python-sphinx (>= 1.3.1-1~),
               python-sphinxcontrib.programoutput,
               python-tz,
               python3,
               python3-cryptography (>= 0.8),
               python3-docutils,
               python3-mock,
               python3-ndg-httpsclient,
               python3-openssl (>= 0.15),
               python3-pyasn1,
               python3-requests,
               python3-rfc3339,
               python3-setuptools,
               python3-tz,
Standards-Version: 3.9.7
Homepage: https://letsencrypt.org/
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-acme.git
Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-acme.git/
X-Python-Version: >= 2.7

Package: python-acme
Architecture: all
Depends: ca-certificates,
         python-openssl (>= 0.15),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-letsencrypt (<< ${source:Upstream-Version})
Description: ACME protocol library for Python 2
 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment).  The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention.  This
 library implements the protocol used for proving the control of a
 domain.  This library is Python 2.

Package: python3-acme
Architecture: all
Depends: ca-certificates,
         python3-openssl (>= 0.15),
         ${misc:Depends},
         ${python3:Depends}
Description: ACME protocol library for Python 3
 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment).  The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention.  This
 library implements the protocol used for proving the control of a
 domain.  This library is Python 3.

Package: python-acme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: ACME protocol library for Python 2 - Documentation
 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment).  The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention.  This
 library implements the protocol used for proving the control of a
 domain.  It currently supports only Python 2.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = acme

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
	rm -f $(CURDIR)/debian/python*-acme/usr/bin/jws
	rm -f $(CURDIR)/debian/python*-acme/usr/share/man/man1/jws.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/acme/acme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-acme 0.5.0

=== debian/changelog ===
python-acme (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 07 Apr 2016 21:56:05 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: extra
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
-Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>,
+Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,

## python-acme 0.8.0

=== debian/changelog ===
python-acme (0.8.0-1) unstable; urgency=high

  * New upstream release.
  * Add version dep on python-setuptools.
  * Add Suggests for -doc.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 02 Jun 2016 19:22:18 -0400

python-acme (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks on python-certbot in rename prep.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 12 May 2016 18:38:11 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python-pyasn1,
                python-requests,
                python-rfc3339,
-               python-setuptools,
+               python-setuptools (>= 11.3),
                python-six,
                python-sphinx (>= 1.3.1-1~),
                python-sphinxcontrib.programoutput,
@@ -29,9 +29,9 @@
                python3-pyasn1,
                python3-requests,
                python3-rfc3339,
-               python3-setuptools,
+               python3-setuptools (>= 11.3),
                python3-tz,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-acme.git
 Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-acme.git/
@@ -43,7 +43,9 @@
          python-openssl (>= 0.15),
          ${misc:Depends},
          ${python:Depends}
-Breaks: python-letsencrypt (<< ${source:Upstream-Version})
+Breaks: python-letsencrypt (<< ${source:Upstream-Version}),
+        python-certbot (<< ${source:Upstream-Version})
+Suggests: python-acme-doc
 Description: ACME protocol library for Python 2
  This is a library used by the Let's Encrypt client for the ACME
  (Automated Certificate Management Environment).  The ACME protocol is
@@ -59,6 +61,7 @@
          python3-openssl (>= 0.15),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python-acme-doc
 Description: ACME protocol library for Python 3
  This is a library used by the Let's Encrypt client for the ACME
  (Automated Certificate Management Environment).  The ACME protocol is
@@ -79,6 +82,6 @@
  setup an HTTPS server and have it automatically obtain a
  browser-trusted certificate, without any human intervention.  This
  library implements the protocol used for proving the control of a
- domain.  It currently supports only Python 2.
+ domain.
  .
  This package provides the documentation.

## python-acme 0.8.1

=== debian/changelog ===
python-acme (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Specify python-setuptools version.  (Closes: #825619)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 30 Jun 2016 18:54:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                python-docutils,
                python-mock,
                python-ndg-httpsclient,
-               python-openssl (>= 0.13),
+               python-openssl (>= 0.15),
                python-pyasn1,
                python-requests,
                python-rfc3339,
                python-setuptools (>= 11.3),
                python-six,
                python-sphinx (>= 1.3.1-1~),
+               python-sphinx-rtd-theme,
                python-sphinxcontrib.programoutput,
                python-tz,
                python3,

## python-acme 0.10.2

=== debian/changelog ===
python-acme (0.10.2-1~bpo8+2) jessie-backports; urgency=medium

  * Add Depends on python-ndg-httpsclient.  (Closes: #861513)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 08 Jun 2017 21:35:40 -0400

python-acme (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 26 Jan 2017 01:06:21 -0500

python-acme (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch applied upstream.
  * Rejigger dependencies.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 19 Jan 2017 23:37:33 -0500

python-acme (0.9.3-2) unstable; urgency=medium

  * Add patch to fix tests with OpenSSL 1.1 (Closes: #844944)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 02 Dec 2016 17:53:38 -0500

python-acme (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 13 Oct 2016 22:21:10 -0400

python-acme (0.8.1-2) unstable; urgency=medium

  * Ensure there's no network access at build time.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 02 Sep 2016 17:47:46 -0400

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,30 @@
 Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.6.6.3~),
-               python-cryptography (>= 0.8),
+               python-cryptography (>= 1.3.4),
+               python-dnspython (>= 1.12),
                python-docutils,
                python-mock,
-               python-ndg-httpsclient,
-               python-openssl (>= 0.15),
-               python-pyasn1,
-               python-requests,
+	       python-ndg-httpsclient,
+	       python-openssl (>= 0.15),
+               python-requests (>= 2.10.1),
                python-rfc3339,
                python-setuptools (>= 11.3),
-               python-six,
+               python-six (>= 1.9),
                python-sphinx (>= 1.3.1-1~),
                python-sphinx-rtd-theme,
-               python-sphinxcontrib.programoutput,
                python-tz,
                python3,
-               python3-cryptography (>= 0.8),
+               python3-cryptography (>= 1.3.4),
+               python3-dnspython (>= 1.12),
                python3-docutils,
                python3-mock,
-               python3-ndg-httpsclient,
+	       python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
-               python3-pyasn1,
-               python3-requests,
+               python3-requests (>= 2.10.1),
                python3-rfc3339,
                python3-setuptools (>= 11.3),
+	       python3-six (>= 1.9),
                python3-tz,
 Standards-Version: 3.9.8
 Homepage: https://letsencrypt.org/
@@ -42,10 +42,12 @@
 Architecture: all
 Depends: ca-certificates,
          python-openssl (>= 0.15),
+	 python-ndg-httpsclient,
          ${misc:Depends},
          ${python:Depends}
 Breaks: python-letsencrypt (<< ${source:Upstream-Version}),
         python-certbot (<< ${source:Upstream-Version})
+Recommends: python-dnspython
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 2
  This is a library used by the Let's Encrypt client for the ACME
@@ -62,6 +64,7 @@
          python3-openssl (>= 0.15),
          ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-dnspython
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 3
  This is a library used by the Let's Encrypt client for the ACME

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = acme

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
	rm -rf $(CURDIR)/debian/python*-acme/usr/bin
	rm -f $(CURDIR)/debian/python*-acme/usr/share/man/man1/jws.1

override_dh_auto_test:
	no_proxy="localhost" dh_auto_test

## python-acme 0.14.2

=== debian/changelog ===
python-acme (0.14.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * Backport to Zesty (LP: #1640978).
  * d/control: drop unnecessarily versioned build dependencies.
  * setup.py: reduce versioned dependency on requests.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Aug 2017 19:26:48 +0100

python-acme (0.14.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 26 May 2017 12:41:31 +0100

python-acme (0.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 18 Mar 2017 18:13:01 -0400

python-acme (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop dep on python3?-dnspython removed upstream

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 02 Feb 2017 20:31:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-acme
 Section: python
 Priority: extra
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.6.6.3~),
-               python-cryptography (>= 1.3.4),
-               python-dnspython (>= 1.12),
+               python-cryptography,
                python-docutils,
                python-mock,
 	       python-ndg-httpsclient,
 	       python-openssl (>= 0.15),
-               python-requests (>= 2.10.1),
+               python-requests,
                python-rfc3339,
                python-setuptools (>= 11.3),
                python-six (>= 1.9),
@@ -21,13 +21,12 @@
                python-sphinx-rtd-theme,
                python-tz,
                python3,
-               python3-cryptography (>= 1.3.4),
-               python3-dnspython (>= 1.12),
+               python3-cryptography,
                python3-docutils,
                python3-mock,
 	       python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
-               python3-requests (>= 2.10.1),
+               python3-requests,
                python3-rfc3339,
                python3-setuptools (>= 11.3),
 	       python3-six (>= 1.9),
@@ -42,12 +41,10 @@
 Architecture: all
 Depends: ca-certificates,
          python-openssl (>= 0.15),
-	 python-ndg-httpsclient,
          ${misc:Depends},
          ${python:Depends}
 Breaks: python-letsencrypt (<< ${source:Upstream-Version}),
         python-certbot (<< ${source:Upstream-Version})
-Recommends: python-dnspython
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 2
  This is a library used by the Let's Encrypt client for the ACME
@@ -64,7 +61,6 @@
          python3-openssl (>= 0.15),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-dnspython
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 3
  This is a library used by the Let's Encrypt client for the ACME

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,5 @@
 override_dh_auto_install:
 	dh_auto_install
 	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
-	rm -rf $(CURDIR)/debian/python*-acme/usr/bin
+	rm -f $(CURDIR)/debian/python*-acme/usr/bin/jws
 	rm -f $(CURDIR)/debian/python*-acme/usr/share/man/man1/jws.1
-
-override_dh_auto_test:
-	no_proxy="localhost" dh_auto_test

## python-acme 0.17.0

=== debian/changelog ===
python-acme (0.17.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Peter Henn <peter.henn@web.de>  Tue, 08 Aug 2017 01:08:03 +0200

python-acme (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Reduce dependency on python-requests, following upstream.
  * Increase priority to optional to comply with Policy v4.0.1.0
  * Declare Testsuite using simple autopkgtest.
  * Bump S-V to 4.0.1.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 06 Aug 2017 14:11:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: python-acme
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.6.6.3~),
-               python-cryptography,
+               python-cryptography (>= 1.3.4),
                python-docutils,
                python-mock,
 	       python-ndg-httpsclient,
 	       python-openssl (>= 0.15),
-               python-requests,
+               python-requests (>= 2.4.1),
                python-rfc3339,
                python-setuptools (>= 11.3),
                python-six (>= 1.9),
@@ -21,12 +20,12 @@
                python-sphinx-rtd-theme,
                python-tz,
                python3,
-               python3-cryptography,
+               python3-cryptography (>= 1.3.4),
                python3-docutils,
                python3-mock,
 	       python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
-               python3-requests,
+               python3-requests (>= 2.4.1),
                python3-rfc3339,
                python3-setuptools (>= 11.3),
 	       python3-six (>= 1.9),
@@ -36,6 +35,7 @@
 Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-acme.git
 Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-acme.git/
 X-Python-Version: >= 2.7
+Testsuite: autopkgtest-pkg-python
 
 Package: python-acme
 Architecture: all

## python-acme 0.21.1

=== debian/changelog ===
python-acme (0.21.1-1+ubuntu16.04.1+certbot+4) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Sat, 03 Feb 2018 14:07:50 +0000

python-acme (0.21.1-1) unstable; urgency=high

  * New upstream release.
  * Cleanup from josepy separation.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 30 Jan 2018 19:25:01 -0500

python-acme (0.20.0-1) unstable; urgency=low

  * New upstream release.
  * Add new dependencies introduced upstream.
  * Bump S-V, debhelper versions.
  * Move doc-base ref to package instead of package-doc.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 05 Jan 2018 21:44:42 -0500

python-acme (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 04 Oct 2017 19:32:09 -0400

python-acme (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.
  * Switch to python3-sphinx for docs.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 01 Oct 2017 17:38:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,36 @@
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,
-               python-all (>= 2.6.6.3~),
+               python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
                python-docutils,
+               python-josepy,
                python-mock,
-	       python-ndg-httpsclient,
-	       python-openssl (>= 0.15),
+               python-ndg-httpsclient,
+               python-openssl (>= 0.15),
                python-requests (>= 2.4.1),
                python-rfc3339,
                python-setuptools (>= 11.3),
-               python-six (>= 1.9),
-               python-sphinx (>= 1.3.1-1~),
-               python-sphinx-rtd-theme,
+               python-six,
                python-tz,
-               python3,
+               python3 (>= 3.4),
                python3-cryptography (>= 1.3.4),
                python3-docutils,
+               python3-josepy,
                python3-mock,
-	       python3-ndg-httpsclient,
+               python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
                python3-requests (>= 2.4.1),
                python3-rfc3339,
                python3-setuptools (>= 11.3),
-	       python3-six (>= 1.9),
-               python3-tz,
-Standards-Version: 3.9.8
+               python3-six (>= 1.9),
+               python3-tz
+Standards-Version: 4.1.3
 Homepage: https://letsencrypt.org/
-Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-acme.git
-Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-acme.git/
+Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/acme.git
+Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/acme
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 Testsuite: autopkgtest-pkg-python
 
 Package: python-acme
@@ -70,18 +71,3 @@
  browser-trusted certificate, without any human intervention.  This
  library implements the protocol used for proving the control of a
  domain.  This library is Python 3.
-
-Package: python-acme-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: ACME protocol library for Python 2 - Documentation
- This is a library used by the Let's Encrypt client for the ACME
- (Automated Certificate Management Environment).  The ACME protocol is
- designed as part of the Let's Encrypt project, to make it possible to
- setup an HTTPS server and have it automatically obtain a
- browser-trusted certificate, without any human intervention.  This
- library implements the protocol used for proving the control of a
- domain.
- .
- This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = acme

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;

## python-acme 0.22.2

=== debian/changelog ===
python-acme (0.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 21 Mar 2018 00:45:24 -0400

python-acme (0.22.0-1) unstable; urgency=medium

  * New upstream release -- now with wildcards!

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 15 Mar 2018 20:11:05 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
@@ -16,7 +16,7 @@
                python-requests (>= 2.4.1),
                python-rfc3339,
                python-setuptools (>= 11.3),
-               python-six,
+               python-six (>= 1.9),
                python-tz,
                python3 (>= 3.4),
                python3-cryptography (>= 1.3.4),
@@ -29,6 +29,8 @@
                python3-rfc3339,
                python3-setuptools (>= 11.3),
                python3-six (>= 1.9),
+               python3-sphinx (>= 1.3.1-1~),
+               python3-sphinx-rtd-theme,
                python3-tz
 Standards-Version: 4.1.3
 Homepage: https://letsencrypt.org/
@@ -44,8 +46,6 @@
          python-openssl (>= 0.15),
          ${misc:Depends},
          ${python:Depends}
-Breaks: python-letsencrypt (<< ${source:Upstream-Version}),
-        python-certbot (<< ${source:Upstream-Version})
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 2
  This is a library used by the Let's Encrypt client for the ACME
@@ -71,3 +71,18 @@
  browser-trusted certificate, without any human intervention.  This
  library implements the protocol used for proving the control of a
  domain.  This library is Python 3.
+
+Package: python-acme-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: ACME protocol library for Python 2 - Documentation
+ This is a library used by the Let's Encrypt client for the ACME
+ (Automated Certificate Management Environment).  The ACME protocol is
+ designed as part of the Let's Encrypt project, to make it possible to
+ setup an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention.  This
+ library implements the protocol used for proving the control of a
+ domain.
+ .
+ This package provides the documentation.

## python-acme 0.26.0

=== debian/changelog ===
python-acme (0.26.0-1+ubuntu16.04.1+certbot+1) xenial; urgency=medium

  * Backport to Xenial

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 23 Jul 2018 13:52:33 -0400

python-acme (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump S-V; add Rules-Require-Root: no

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 12 Jul 2018 22:07:01 -0400

python-acme (0.25.1-1) unstable; urgency=medium

  * New upstream version 0.25.1

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 13 Jun 2018 22:28:55 -0400

python-acme (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Add new dependency on requests-toolbelt
  * Drop unnecessary X-Python-Version fields
  * Add pytest as build-time dep only.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 11 Jun 2018 21:54:41 -0400

python-acme (0.24.0-2) unstable; urgency=medium

  * Update team email address. (Closes: #895863)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 04 May 2018 20:33:30 -0400

python-acme (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 03 May 2018 19:30:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-acme
 Section: python
 Priority: optional
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
@@ -13,7 +13,9 @@
                python-mock,
                python-ndg-httpsclient,
                python-openssl (>= 0.15),
+               python-pytest,
                python-requests (>= 2.4.1),
+               python-requests-toolbelt (>= 0.3.0),
                python-rfc3339,
                python-setuptools (>= 11.3),
                python-six (>= 1.9),
@@ -25,19 +27,20 @@
                python3-mock,
                python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
+               python3-pytest,
                python3-requests (>= 2.4.1),
+               python3-requests-toolbelt (>= 0.3.0),
                python3-rfc3339,
                python3-setuptools (>= 11.3),
                python3-six (>= 1.9),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-tz
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/acme.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/acme
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python-acme

## python-acme 0.27.0

=== debian/changelog ===
python-acme (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 05 Sep 2018 20:12:58 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
@@ -36,7 +36,7 @@
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-tz
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/acme.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/acme

## python-acme 0.28.0

=== debian/changelog ===
python-acme (0.28.0-1+ubuntu16.04.1+certbot+3) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Dec 2018 15:42:24 +0000

python-acme (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Nov 2018 18:05:59 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
                python-docutils,
-               python-josepy,
-               python-mock,
+               python-josepy (>= 1.1.0~),
                python-ndg-httpsclient,
                python-openssl (>= 0.15),
                python-pytest,
@@ -18,13 +17,12 @@
                python-requests-toolbelt (>= 0.3.0),
                python-rfc3339,
                python-setuptools (>= 11.3),
-               python-six (>= 1.9),
+               python-six,
                python-tz,
                python3 (>= 3.4),
                python3-cryptography (>= 1.3.4),
                python3-docutils,
-               python3-josepy,
-               python3-mock,
+               python3-josepy (>= 1.1.0~),
                python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
                python3-pytest,
@@ -33,8 +31,6 @@
                python3-rfc3339,
                python3-setuptools (>= 11.3),
                python3-six (>= 1.9),
-               python3-sphinx (>= 1.3.1-1~),
-               python3-sphinx-rtd-theme,
                python3-tz
 Standards-Version: 4.2.1
 Homepage: https://letsencrypt.org/
@@ -74,18 +70,3 @@
  browser-trusted certificate, without any human intervention.  This
  library implements the protocol used for proving the control of a
  domain.  This library is Python 3.
-
-Package: python-acme-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: ACME protocol library for Python 2 - Documentation
- This is a library used by the Let's Encrypt client for the ACME
- (Automated Certificate Management Environment).  The ACME protocol is
- designed as part of the Let's Encrypt project, to make it possible to
- setup an HTTPS server and have it automatically obtain a
- browser-trusted certificate, without any human intervention.  This
- library implements the protocol used for proving the control of a
- domain.
- .
- This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
+
+override_dh_auto_test:
+	:

## python-acme 0.31.0

=== debian/changelog ===
python-acme (0.31.0-2) unstable; urgency=medium

  * Backport POST-as-GET support (Closes: #928452)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 04 May 2019 21:32:00 -0400

python-acme (0.31.0-1) unstable; urgency=medium

  * Bump dependency on josepy to >= 1.1.0
  * Add Breaks on python-acme against certbot << 0.20
  * New upstream version 0.31.0
  * Add dep on python-idna required by security extra.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 19:07:59 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all (>= 2.7),
                python-cryptography (>= 1.3.4),
                python-docutils,
+	       python-idna (>= 2.5), python-idna (<< 2.8~),
                python-josepy (>= 1.1.0~),
+               python-mock,
                python-ndg-httpsclient,
                python-openssl (>= 0.15),
                python-pytest,
@@ -17,12 +19,14 @@
                python-requests-toolbelt (>= 0.3.0),
                python-rfc3339,
                python-setuptools (>= 11.3),
-               python-six,
+               python-six (>= 1.9),
                python-tz,
                python3 (>= 3.4),
                python3-cryptography (>= 1.3.4),
                python3-docutils,
+	       python3-idna (>= 2.5), python3-idna (<< 2.8),
                python3-josepy (>= 1.1.0~),
+               python3-mock,
                python3-ndg-httpsclient,
                python3-openssl (>= 0.15),
                python3-pytest,
@@ -31,8 +35,10 @@
                python3-rfc3339,
                python3-setuptools (>= 11.3),
                python3-six (>= 1.9),
+               python3-sphinx (>= 1.3.1-1~),
+               python3-sphinx-rtd-theme,
                python3-tz
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://letsencrypt.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/acme.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/acme
@@ -45,6 +51,7 @@
          python-openssl (>= 0.15),
          ${misc:Depends},
          ${python:Depends}
+Breaks: certbot (<< 0.20.0-1)
 Suggests: python-acme-doc
 Description: ACME protocol library for Python 2
  This is a library used by the Let's Encrypt client for the ACME
@@ -70,3 +77,18 @@
  browser-trusted certificate, without any human intervention.  This
  library implements the protocol used for proving the control of a
  domain.  This library is Python 3.
+
+Package: python-acme-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: ACME protocol library for Python 2 - Documentation
+ This is a library used by the Let's Encrypt client for the ACME
+ (Automated Certificate Management Environment).  The ACME protocol is
+ designed as part of the Let's Encrypt project, to make it possible to
+ setup an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention.  This
+ library implements the protocol used for proving the control of a
+ domain.
+ .
+ This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = acme

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
